## org.biojava.bio.structure.server
Class PrepareIndexFile

    java.lang.Object
      org.biojava.bio.structure.server.PrepareIndexFile

Direct Known Subclasses:
  PrepareMMcifIndexFile

    public class PrepareIndexFile

extends Object

Constructor Summary
`PrepareIndexFile()`

Method Summary

`void`

`createPDBInfoList(File[] pdbfiles, File outputFile, File chainInfoFile)`
parses a set of PDB files and writes info into a file the file is tab separated and has the following columns: name length resolution depositionDate modificationDate technique title classification filename binaryDirectory: a directory in which binary files containing the atoms will be places, to provide a speedup This method needs to be run, before a DBSearch can be performed, since the files created by this method are required for the DBSearch

`File[]` `getAllPDB(File dir)` get all PDBfiles from a directory
`protected void` `logPDBInfoFile(PrintWriter pdbWriter, PrintWriter chainWriter, StructureIOFile pdbreader, File[] pdbfiles)`
`static void` `main(String[] args)`
`void` `prepareIndexFileForInstallation(FlatFileInstallation installation)` prepare the index file for this installation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrepareIndexFile

    public PrepareIndexFile()

Method Detail

### main

    public static void main(String[] args)

### prepareIndexFileForInstallation

    public void prepareIndexFileForInstallation(FlatFileInstallation installation)
                                         throws FileNotFoundException,
                                                IOException

  prepare the index file for this installation

  Parameters:
    `installation` -
  Throws:
    `FileNotFoundException`
    `IOException`

### createPDBInfoList

    public void createPDBInfoList(File[] pdbfiles,
                                  File outputFile,
                                  File chainInfoFile)
                           throws FileNotFoundException,
                                  IOException

  parses a set of PDB files and writes info into a file the file is tab separated and has the following columns: name length resolution depositionDate modificationDate technique title classification filename binaryDirectory: a directory in which binary files containing the atoms will be places, to provide a speedup This method needs to be run, before a DBSearch can be performed, since the files created by this method are required for the DBSearch

  Parameters:
    `pdbfiles` -
    `outputFile` -
  Throws:
    `FileNotFoundException`
    `IOException`

### logPDBInfoFile

    protected void logPDBInfoFile(PrintWriter pdbWriter,
                                  PrintWriter chainWriter,
                                  StructureIOFile pdbreader,
                                  File[] pdbfiles)
                           throws IOException

  Throws:
    `IOException`

### getAllPDB

    public File[] getAllPDB(File dir)

  get all PDBfiles from a directory

  Parameters:
    `dir` - the directory that contains all PDB files
  Returns:
    an array of PDB Files